2dimagefifofilter.hh File Reference
`#include <mia/2d/image.hh>`
`#include <mia/3d/image.hh>`
Include dependency graph for 2dimagefifofilter.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

class | C2DFifoFilterPlugin
| The plug-in base class for the FIFO filters. More...
class | C2DImageFifoFilter
| The class to provide filtering of series of 2D images as if they where 3D images. More...

## Typedefs

typedef THandlerSingleton< TFactoryPluginHandler< C2DFifoFilterPlugin > > | C2DFifoFilterPluginHandler
| Plugin handler for the FIFO filters.
typedef TFifoFilter< P2DImage >::Pointer | P2DImageFifoFilter
| Pointer type for the FIFO filter.

## Variables

template class EXPORT_3D | TFifoFilter< P2DImage >
template class EXPORT_3D | TFifoFilterSink< P2DImage >

## Variable Documentation

## TFifoFilter< P2DImage >

template class EXPORT_3D TFifoFilter< P2DImage >

extern

## TFifoFilterSink< P2DImage >

template class EXPORT_3D TFifoFilterSink< P2DImage >

extern